%global realname	ArcMenu
%global uuid		arcmenu@arcmenu.com
%global realnamel	arcmenu

Summary:	Gnome shell extension designed to replace the standard menu
Name:		gnome-shell-extension-arcmenu
Version:	27
Release:	1%{dist}

License:	GPLv2
URL:		https://gitlab.com/arcmenu/ArcMenu/
Source0:	https://gitlab.com/arcmenu/ArcMenu/-/archive/v%{version}/ArcMenu-v%{version}.tar.bz2
Patch0:		ArcMenu-v27-scheme.patch

BuildArch:	noarch

BuildRequires:	fdupes
BuildRequires:	git
BuildRequires:	glib2
BuildRequires:	gettext

Requires:	gnome-shell-extension-common
Requires:	gnome-menus

%description
Arc Menu is a Gnome shell extension designed to replace the standard menu found
in Gnome 3 this application menu extension has some added benefits over the
standard menu found in Gnome 3, these include the long awaited search
functionality as well as quick access to files on your system and also the
current logged in user along with quick access to the software centre and
system settings and other features which can be accessed from the settings
menu.

%prep
%autosetup -n %{realname}-v%{version} -p1

%build
%make_build

%install
%make_install INSTALL=system
%fdupes -s %{buildroot}

rm -f %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/COPYING
rm -f %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/README.md
rm -rf %{buildroot}%{_datadir}/gnome-shell/extensions/arcmenu@arcmenu.com/media/.keep

# fix mod
find %{buildroot} -type f -exec chmod 644 {} \;

%find_lang %{realnamel} --with-gnome

%files -f %{realnamel}.lang
%doc README.md
%{_datadir}/gnome-shell/extensions/%{uuid}/*.js
%{_datadir}/gnome-shell/extensions/%{uuid}/*.json
%{_datadir}/gnome-shell/extensions/%{uuid}/media
%{_datadir}/gnome-shell/extensions/%{uuid}/menulayouts
%{_datadir}/gnome-shell/extensions/%{uuid}/schemas
%{_datadir}/gnome-shell/extensions/%{uuid}/searchProviders

%changelog
* Sun Jun 25 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 27-1
- initial build for MSVSphere 9.2
